## vlc-0.2.92-pre1.tar.bz2

=== Makefile ===
###############################################################################
# vlc (VideoLAN Client) main Makefile - (c)1998 VideoLAN
###############################################################################

ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif

###############################################################################
# Objects and files
###############################################################################

# 
# All possible plugin directories, needed for make clean
#
PLUGINS_DIR :=	ac3_adec \
		ac3_spdif \
		alsa \
 		arts \
		beos \
		directx \
		dsp \
		dummy \
		dvd \
		dvdread \
		esd \
		fb \
		ggi \
		glide \
		gtk \
		downmix \
		idct \
		imdct \
		kde \
		lpcm_adec \
		macosx \
		mad_adec \
		memcpy \
		mga \
		motion \
		mpeg \
		mpeg_adec \
		mpeg_vdec \
		qt \
		sdl \
		spu_dec \
		text \
		vcd \
		x11 \
		yuv

PLUGINS_TARGETS := ac3_adec/ac3_adec \
		ac3_spdif/ac3_spdif \
		alsa/alsa \
 		arts/arts \
		beos/beos \
		directx/directx \
		dsp/dsp \
		dummy/dummy \
		dummy/null \
		dvd/dvd \
		dvdread/dvdread \
		esd/esd \
		fb/fb \
		ggi/ggi \
		glide/glide \
		gtk/gnome \
		gtk/gtk \
		downmix/downmix \
		downmix/downmixsse \
		downmix/downmix3dn \
		idct/idct \
		idct/idctclassic \
		idct/idctmmx \
		idct/idctmmxext \
		idct/idctaltivec \
		imdct/imdct \
		imdct/imdct3dn \
		imdct/imdctsse \
		kde/kde \
		lpcm_adec/lpcm_adec \
		macosx/macosx \
		mad_adec/mad_adec \
		memcpy/memcpy \
		memcpy/memcpymmx \
		memcpy/memcpymmxext \
		memcpy/memcpy3dn \
		mga/mga \
		motion/motion \
		motion/motionmmx \
		motion/motionmmxext \
		motion/motion3dnow \
		motion/motionaltivec \
		mpeg_adec/mpeg_adec \
		mpeg_vdec/mpeg_vdec \
		mpeg/es \
		mpeg/ps \
		mpeg/ts \
		qt/qt \
		sdl/sdl \
		spu_dec/spu_dec \
		text/ncurses \
		text/rc \
		vcd/vcd \
		x11/x11 \
		x11/xvideo \
		yuv/yuv \
		yuv/yuvmmx
#
# C Objects
# 
INTERFACE := main interface intf_msg intf_playlist intf_channels
INPUT := input input_ext-dec input_ext-intf input_dec input_programs input_netlist input_clock mpeg_system
VIDEO_OUTPUT := video_output video_text video_spu video_yuv
AUDIO_OUTPUT := audio_output aout_ext-dec aout_u8 aout_s8 aout_u16 aout_s16 aout_spdif
MISC := mtime tests modules netutils iso_lang

C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
		$(INPUT:%=src/input/%.o) \
		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
		$(MISC:%=src/misc/%.o)

#
# Misc Objects
# 
ifeq ($(NEED_GETOPT),1)
C_OBJ += extras/GNUgetopt/getopt.o extras/GNUgetopt/getopt1.o 
endif

ifeq ($(SYS),beos)
CPP_OBJ :=	src/misc/beos_specific.o
endif

ifneq (,$(findstring darwin,$(SYS)))
C_OBJ +=	src/misc/darwin_specific.o
endif

ifneq (,$(findstring mingw32,$(SYS)))
C_OBJ +=	src/misc/win32_specific.o
RESOURCE_OBJ :=	share/vlc_win32_rc.o
endif

VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)

#
# Generated header
#
H_OBJ :=	src/misc/modules_builtin.h

#
# Other lists of files
#
C_DEP := $(C_OBJ:%.o=.dep/%.d)
CPP_DEP := $(CPP_OBJ:%.o=.dep/%.dpp)

#
# Translate plugin names
#
ifneq (,$(PLUGINS))
PLUGIN_OBJ := $(shell for i in $(PLUGINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.so@' -e 's@^ .*@@' ; done)
endif
ifneq (,$(BUILTINS))
BUILTIN_OBJ := $(shell for i in $(BUILTINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.a@' -e 's@^ .*@@' ; done)
endif

#
# Misc variables
#
VLC_QUICKVERSION := $(shell grep '^ *VLC_VERSION=' configure.in | head -1 | cut -f2 -d=)
LIBDVDCSS_QUICKVERSION := $(shell grep '^ *LIBDVDCSS_VERSION=' configure.in | head -1 | cut -f2 -d=)


# All symbols must be exported
export

###############################################################################
# Targets
###############################################################################

#
# Virtual targets
#
all: Makefile.opts vlc ${ALIASES} vlc.app

Makefile.opts:
	@echo "**** No configuration found, running ./configure..."
	./configure
	$(MAKE) $(MAKECMDGOALS)
	exit

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo DCFLAGS: $(DCFLAGS)
	@echo LCFLAGS: $(LCFLAGS)
	@echo PCFLAGS: $(PCFLAGS)
	@echo PLCFLAGS: $(PLCFLAGS)
	@echo C_OBJ: $(C_OBJ)
	@echo CPP_OBJ: $(CPP_OBJ)
	@echo PLUGIN_OBJ: $(PLUGIN_OBJ)
	@echo BUILTIN_OBJ: $(BUILTIN_OBJ)

#
# Cleaning rules
#
clean: libdvdcss-clean libdvdread-clean plugins-clean vlc-clean
	rm -f src/*/*.o extras/*/*.o
	rm -f lib/*.so* lib/*.a
	rm -f plugins/*.so plugins/*.a
	rm -rf extras/MacOSX/build

libdvdcss-clean:
	-cd extras/libdvdcss && $(MAKE) clean

libdvdread-clean:
	-cd extras/libdvdread && $(MAKE) clean

plugins-clean:
	for dir in $(PLUGINS_DIR) ; do \
		( cd plugins/$${dir} && $(MAKE) clean ) ; done
	rm -f plugins/*/*.o plugins/*/*.moc plugins/*/*.bak

vlc-clean:
	rm -f $(C_OBJ) $(CPP_OBJ)
	rm -f vlc gnome-vlc gvlc kvlc qvlc vlc.exe
	rm -Rf vlc.app

distclean: clean
	rm -f **/*.o **/*~ *.log
	rm -f Makefile.opts
	rm -f include/defs.h include/config.h include/modules_builtin.h
	rm -f src/misc/modules_builtin.h
	rm -f config*status config*cache config*log
	rm -f gmon.out core build-stamp
	rm -Rf .dep
	rm -f .gdb_history

#
# Install/uninstall rules
#
install: libdvdcss-install vlc-install plugins-install

uninstall: libdvdcss-uninstall vlc-uninstall plugins-uninstall

vlc-install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) vlc $(DESTDIR)$(bindir)
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias && ln -s vlc $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	mkdir -p $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.psf $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.png $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.xpm $(DESTDIR)$(datadir)/videolan

vlc-uninstall:
	rm -f $(DESTDIR)$(bindir)/vlc
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	rm -f $(DESTDIR)$(datadir)/videolan/*.psf
	rm -f $(DESTDIR)$(datadir)/videolan/*.png
	rm -f $(DESTDIR)$(datadir)/videolan/*.xpm

plugins-install:
	mkdir -p $(DESTDIR)$(libdir)/videolan/vlc
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=plugins/%.so) $(DESTDIR)$(libdir)/videolan/vlc
endif

plugins-uninstall:
	rm -f $(DESTDIR)$(libdir)/videolan/vlc/*.so

libdvdcss-install:
	-cd extras/libdvdcss && $(MAKE) install

libdvdcss-uninstall:
	-cd extras/libdvdcss && $(MAKE) uninstall

#
# Package generation rules
#
snapshot-common:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Copy directory structure in tmp
	find -type d | grep -v '\(\.dep\|snapshot\|CVS\)' | while read i ; \
		do mkdir -p tmp/vlc/$$i ; \
	done
	rm -Rf tmp/vlc/tmp
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf tmp/vlc/$$i ; done
	# Copy .c .h .in .cpp and .glade files
	find include src plugins -type f -name '*.[chig]*' | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy plugin Makefiles
	find plugins -type f -name Makefile | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy extra programs and documentation
	cp -a extras/* tmp/vlc/extras
	cp -a doc/* tmp/vlc/doc
	find tmp/vlc/extras tmp/vlc/doc \
		-type d -name CVS -o -name '.*' -o -name '*.[o]' | \
			while read i ; do rm -Rf $$i ; done
	# Copy misc files
	cp FAQ AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
		Makefile Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh install-win32 vlc.spec \
		config.sub config.guess \
			tmp/vlc/
	# Copy Debian control files
	for file in debian/*dirs debian/*docs debian/*menu debian/*desktop \
		debian/*copyright ; do cp $$file tmp/vlc/debian ; done
	for file in control changelog rules ; do \
		cp debian/$$file tmp/vlc/debian/ ; done
	# Copy ipkg control files
	for file in control rules ; do \
		cp ipkg/$$file tmp/vlc/ipkg/ ; done
	# Copy fonts and icons
	for file in share/*png share/*xpm share/*psf ; do \
		cp $$file tmp/vlc/share ; done
	for file in vlc_beos.rsrc vlc.icns gvlc_win32.ico vlc_win32_rc.rc ; do \
			cp share/$$file tmp/vlc/share/ ; done

snapshot: snapshot-common
	# Build archives
	F=vlc-${VLC_QUICKVERSION}; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
	bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
	gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
	# Clean up
	rm -Rf tmp

snapshot-nocss: snapshot-common
	# Remove libdvdcss
	rm -Rf tmp/vlc/extras/libdvdcss
	rm -f tmp/vlc/*.libdvdcss
	# Fix debian information
	rm -f tmp/vlc/debian/libdvdcss*
	rm -f tmp/vlc/debian/control
	sed -e 's#^ DVDs# unencrypted DVDs#' < debian/control \
		| awk '{if(gsub("Package: libdvdcss",$$0))a=1;if(a==0)print $$0;if(a==1&&$$0=="")a=0}' \
		> tmp/vlc/debian/control
	rm -f tmp/vlc/debian/rules
	sed -e 's#^\(export LIBDVDCSS_FLAGS=\).*#\1"--without-dvdcss"#' < debian/rules \
		| awk '{if($$0=="# libdvdcss start")a=1;if(a==0)print $$0;if($$0=="# libdvdcss stop")a=0}' \
		> tmp/vlc/debian/rules
	chmod +x tmp/vlc/debian/rules
	# Build css-disabled archives
	F=vlc-${VLC_QUICKVERSION}; G=vlc-${VLC_QUICKVERSION}-nocss; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar cf $$G.tar $$F); \
	bzip2 -f -9 < tmp/$$G.tar > $$G.tar.bz2; \
	gzip -f -9 tmp/$$G.tar ; mv tmp/$$G.tar.gz .
	# Clean up
	rm -Rf tmp

package-win32:
	# XXX: this rule is probably only useful to you if you have exactly
	# the same setup as me. Contact sam@zoy.org if you need to use it.
	#
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Create installation script
	sed -e 's#@VERSION@#'${VLC_QUICKVERSION}'#' < install-win32 > tmp/nsi
	# Copy relevant files
	cp vlc.exe plugins/directx.so plugins/gtk.so plugins/sdl.so tmp/ 
	cp INSTALL-win32.txt AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
		README README.libdvdcss FAQ TODO tmp/
	for file in gtk-1.3.dll gdk-1.3.dll glib-1.3.dll gmodule-1.3.dll \
		gnu-intl.dll SDL.dll README-SDL.txt ; \
			do cp ../win32-libs/$$file tmp/ ; done
	mkdir tmp/share
	for file in default8x16.psf default8x9.psf ; \
		do cp share/$$file tmp/share/ ; done
	# Create package 
	wine ~/.wine/fake_windows/Program\ Files/NSIS/makensis.exe /CD tmp/nsi
	mv tmp/vlc-${VLC_QUICKVERSION}.exe \
		vlc-${VLC_QUICKVERSION}-win32-installer.exe
	# Clean up
	rm -Rf tmp

package-beos:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	
	# Create dir
	mkdir -p tmp/vlc/share
	# Copy relevant files
	cp vlc tmp/vlc/
	cp AUTHORS COPYING ChangeLog ChangeLog.libdvdcss \
		README README.libdvdcss FAQ TODO tmp/vlc/
	for file in default8x16.psf default8x9.psf ; \
		do cp share/$$file tmp/vlc/share/ ; done
	# Create package 
	mv tmp/vlc tmp/vlc-${VLC_QUICKVERSION}
	(cd tmp ; find vlc-${VLC_QUICKVERSION} | \
	zip -9 -@ vlc-${VLC_QUICKVERSION}-beos.zip )
	mv tmp/vlc-${VLC_QUICKVERSION}-beos.zip .
	# Clean up
	rm -Rf tmp

libdvdcss-snapshot: snapshot-common
	# Remove vlc sources and icons, doc, debian directory...
	rm -Rf tmp/vlc/src tmp/vlc/share tmp/vlc/plugins tmp/vlc/doc
	rm -Rf tmp/vlc/extras/GNUgetopt tmp/vlc/extras/MacOSX
	rm -Rf tmp/vlc/debian
	rm -Rf tmp/vlc/ipkg
	# Remove useless headers
	rm -f tmp/vlc/include/*
	for file in defs.h.in config.h.in common.h int_types.h ; \
		do cp include/$$file tmp/vlc/include/ ; done
	# Remove misc files (??? - maybe not really needed)
	rm -f tmp/vlc/vlc.spec tmp/vlc/INSTALL-win32.txt
	mv tmp/vlc/INSTALL.libdvdcss tmp/vlc/INSTALL
	mv tmp/vlc/README.libdvdcss tmp/vlc/README
	mv tmp/vlc/ChangeLog.libdvdcss tmp/vlc/ChangeLog
	# Fix Makefile
	rm -f tmp/vlc/Makefile
	sed -e 's#^install:#install-unused:#' \
		-e 's#^uninstall:#uninstall-unused:#' \
		-e 's#^clean:#clean-unused:#' \
		-e 's#^all:.*#all: libdvdcss#' \
		-e 's#^libdvdcss-install:#install:#' \

=== plugins/alsa/Makefile ===
###############################################################################
# vlc (VideoLAN Client) ALSA module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = alsa.o aout_alsa.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../alsa.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_ALSA) -lasound -lm -ldl

../alsa.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/beos/Makefile ===
###############################################################################
# vlc (VideoLAN Client) BeOS module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_CPP = beos.o aout_beos.o vout_beos.o intf_beos.o InterfaceWindow.o DrawingTidbits.o TransportButton.o PlayListWindow.o MediaControlView.o
BUILTIN_CPP = $(PLUGIN_CPP:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_CPP) $(BUILTIN_CPP)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../beos.so: $(PLUGIN_CPP)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_BEOS)

../beos.a: $(BUILTIN_CPP)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/dsp/Makefile ===
###############################################################################
# vlc (VideoLAN Client) OSS /dev/dsp module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = dsp.o aout_dsp.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../dsp.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../dsp.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/dvdread/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dvdread module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_DVDREAD = dvdread.o input_dvdread.o $(OBJ_DVDREAD)
BUILTIN_DVDREAD = $(PLUGIN_DVDREAD:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_DVDREAD) $(BUILTIN_DVDREAD)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_DVDREAD): %.o: .dep/%.d
$(PLUGIN_DVDREAD): %.o: %.c
	$(CC) $(CFLAGS_DVD) $(CFLAGS_DVDREAD) $(CFLAGS) $(PCFLAGS) -DPLUGIN -c -o $@ $<

$(BUILTIN_DVDREAD): BUILTIN_%.o: .dep/%.d
$(BUILTIN_DVDREAD): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS_DVD) $(CFLAGS_DVDREAD) $(CFLAGS) -DBUILTIN -c -o $@ $<

#
# Real targets
#

ifeq (1,$(NEED_LIBDVDCSS))
../dvdread.so: libdvdcss libdvdread $(PLUGIN_DVDREAD)
	$(CC) $(PCFLAGS) -o $@ $(PLUGIN_DVDREAD) $(PLCFLAGS) $(LIB_DVD_PLUGIN) $(LIB_DVDREAD_PLUGIN)

../dvdread.a: libdvdcss libdvdread $(BUILTIN_DVDREAD)
	ar r $@ $(BUILTIN_DVDREAD)
	$(RANLIB) $@
else
../dvdread.so: libdvdread $(PLUGIN_DVDREAD)
	$(CC) $(PCFLAGS) -o $@ $(PLUGIN_DVD) $(PLCFLAGS) $(LIB_DVD_PLUGIN) $(LIB_DVDREAD_PLUGIN)

../dvdread.a: libdvdread $(BUILTIN_DVDREAD)
	ar r $@ $(BUILTIN_DVDREAD)
	$(RANLIB) $@
endif

libdvdcss:
	cd ../../ && $(MAKE) libdvdcss

libdvdread:
	cd ../../ && $(MAKE) libdvdread

=== plugins/lpcm_adec/Makefile ===
###############################################################################
# vlc (VideoLAN Client) LPCM audio decoder module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
PLUGIN_C = lpcm_adec.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)
#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../lpcm_adec.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../lpcm_adec.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/mad_adec/Makefile ===
###############################################################################
# vlc (VideoLAN Client) MAD audio decoder module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
PLUGIN_MAD = mad_adec.o mad_libmad.o
BUILTIN_MAD = $(PLUGIN_MAD:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_MAD) $(BUILTIN_MAD)
#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_MAD): %.o: .dep/%.d
$(PLUGIN_MAD): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) $(CFLAGS_MAD_ADEC) -DPLUGIN -c -o $@ $<

$(BUILTIN_MAD): BUILTIN_%.o: .dep/%.d
$(BUILTIN_MAD): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) $(CFLAGS_MAD_ADEC) -DBUILTIN -c -o $@ $<

#
# Real targets
#

../mad_adec.so: $(PLUGIN_MAD)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_MAD_ADEC)

../mad_adec.a: $(BUILTIN_MAD)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/mpeg_adec/Makefile ===
###############################################################################
# vlc (VideoLAN Client) MPEG audio decoder module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#
PLUGIN_C = mpeg_adec.o adec_layer1.o adec_layer2.o adec_math.o mpeg_adec_generic.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)
#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../mpeg_adec.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../mpeg_adec.a: $(BUILTIN_C)
	ar r $@ $^
	$(RANLIB) $@

=== plugins/vcd/Makefile ===
###############################################################################
# vlc (VideoLAN Client) dvd module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_VCD = vcd.o input_vcd.o linux_cdrom_tools.o $(OBJ_VCD)
BUILTIN_VCD = $(PLUGIN_VCD:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_VCD) $(BUILTIN_VCD)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_VCD): %.o: .dep/%.d
$(PLUGIN_VCD): %.o: %.c
	$(CC) $(CFLAGS_VCD) $(CFLAGS) $(PCFLAGS) -DPLUGIN -c -o $@ $<

$(BUILTIN_VCD): BUILTIN_%.o: .dep/%.d
$(BUILTIN_VCD): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS_VCD) $(CFLAGS) -DBUILTIN -c -o $@ $<

#
# Real targets
#

../vcd.so: $(PLUGIN_VCD)
	$(CC) $(PCFLAGS) -o $@ $(PLUGIN_VCD) $(PLCFLAGS)

../vcd.a: $(BUILTIN_VCD)
	ar r $@ $(BUILTIN_VCD)
	$(RANLIB) $@

=== debian/changelog ===
vlc (0.2.92-1) unstable; urgency=low

  * New upstream release.

 -- Christophe Massiot <massiot@via.ecp.fr>  Fri,  7 Dec 2001 20:18:56 +0100

vlc (0.2.91-2) unstable; urgency=low

  * Added versioned build-dep to libasound2-dev (Closes: #121057).
  * Added "Video" menu hints (Closes: #121036).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 25 Nov 2001 02:25:34 +0100

vlc (0.2.91-1) unstable; urgency=low

  * New upstream release.
  * This release fixes IFO parsing issues (Closes: #119369).
  * vlc will dlopen() an installed libdvdcss if available, to play
    encrypted DVDs (Closes: #89856).
  * vlc is now in sync with the official libdvdcss (Closes: #118194).

 -- Samuel Hocevar <sam@zoy.org>  Mon, 12 Nov 2001 17:14:29 +0100

vlc (0.2.90-2) unstable; urgency=low

  * Various upstream bugfixes.
  * Compiled against libsdl1.2-debian (Closes: #116709).

 -- Samuel Hocevar <sam@zoy.org>  Tue, 23 Oct 2001 02:09:39 +0200

vlc (0.2.90-1) unstable; urgency=low

  * Fixed syntax error in build dependencies (Closes: #109722).
  * XVideo module now compiled as built-in, to avoid PIC and non-PIC
    code collision (Closes: #111790).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 10 Oct 2001 15:00:29 +0200

vlc (0.2.83-2) unstable; urgency=low

  * Fixed build dependencies for architectures not supporting libasound2
    (Closes: #109722).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 24 Aug 2001 12:47:45 +0200

vlc (0.2.83-1) unstable; urgency=low

  * New upstream release.
  * Activated subtitles in overlay mode (Closes: #97471).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 22 Aug 2001 15:18:01 +0200

vlc (0.2.82-1) unstable; urgency=low

  * New upstream release.
  * Fixed broken manpage symlinks (Closes: #99561).

 -- Samuel Hocevar <sam@zoy.org>  Tue,  7 Aug 2001 12:39:16 +0200

vlc (0.2.81-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Jul 2001 04:13:57 +0200

vlc (0.2.80-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  5 Jun 2001 04:41:06 +0200

vlc (0.2.73-2) unstable; urgency=low

  * We now build without MMX in the main application (Closes: #96036).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 May 2001 07:13:04 +0200

vlc (0.2.73-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Apr 2001 07:02:35 +0200

vlc (0.2.72-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon, 16 Apr 2001 14:33:53 +0200

vlc (0.2.71-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 13 Apr 2001 08:13:26 +0200

vlc (0.2.70-1) unstable; urgency=low

  * New upstream release.
  * Non-i386 package builds really fixed (Closes: #89285).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  7 Apr 2001 05:52:00 +0200

vlc (0.2.63-3) unstable; urgency=low

  * Added versioned conflicts/replaces to vlc-gtk (Closes: #88796).

 -- Samuel Hocevar <sam@zoy.org>  Wed,  7 Mar 2001 20:47:48 +0100

vlc (0.2.63-2) unstable; urgency=low

  * Glide shouldn't cause any non-x86 problems anymore (Closes: #88583).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 12:50:28 +0100

vlc (0.2.63-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 00:41:16 +0100

vlc (0.2.62-2) unstable; urgency=low

  * Removed a few lintian warnings.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  3 Mar 2001 10:29:31 +0100

vlc (0.2.62-1) unstable; urgency=low

  * New release. Glide and GGI packages build again.
  * Updated vlc.1 manpage (Closes: #87478).
  * Fixed debian/control (Closes: #83707).
  * The framebuffer plugin doesn't hijack ^C anymore (Closes: #87500).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  2 Mar 2001 17:32:24 +0100

vlc (0.2.61-1) unstable; urgency=low

  * New release. The package build works again.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 16 Feb 2001 08:09:59 +0100

vlc (0.2.60-1) unstable; urgency=low

  * New release. The package build is most presumably FUBAR.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 14 Feb 2001 08:33:46 +0100

vlc (0.2.50-1) unstable; urgency=low

  * Only build vlc-glide under x86 (Closes: #84046).
  * Switched PentiumPro optimization off (Closes: #83707).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Feb 2001 20:49:15 +0100

vlc (0.1.99i) unstable; urgency=low

  * Fixed the framerate display

 -- Samuel Hocevar <sam@zoy.org>  Tue, 24 Oct 2000 11:08:01 +0200

vlc (0.1.99h) unstable; urgency=low

  * added support for the SDL vout : the --display fullscreen allows
    fullscreen when possible. Disabled by default.
  * updated debian directory to build vlc-sdl.
  * removed CCFLAGS flags which were improperly used.
  * added hints for powerpc build.
  * fixed the input_file exit bug.
  * removed the frame statistics output.
  * removed a verbose message in intf_sdl.c.
  * added a few sanity checks in the audio mpeg and ac3 decoders.
  * temporarily got rid of vlc.channels.

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 22 Aug 2000 01:31:58 +0200

vlc (0.1.99g) unstable; urgency=low

  * removed all "*vlc" aliases except "gvlc" and "fbvlc". The other sucked.
  * new --synchro flag which lets you force which images are decoded.
  * fixed 32bpp MMX YUV, made the comments clearer, removed an emms.
  * now scaling is on by default, so that people won't tell that the vlc
    cannot do scaling :-)
  * fixed 8bpp YUV.
  * fixed the fscked up Bresenham algorithm in all YUV functions.
  * fixed a dumb bug in the Makefile that prevented inclusion of the
    -march=pentium directive. thanks Meuuh, blame sam.
  * separate Debian packages

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 16 Aug 2000 01:07:14 +0200

vlc (0.1.99f) unstable; urgency=low

  * plugin detection now works
  * "gvlc", "fbvlc", "ggivlc" aliases now work
  * fixed functions that weren't properly inlined
  * removed bloat from the MMX YUV plugin
  * vlc.init becomes ~/.vlcrc
  * removed float operations in the video decoder, and all emms asm functions


=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev, libqt-dev, libasound2-dev [alpha i386 ia64 m68k powerpc] (>=0.9.0beta7)
Standards-Version: 3.0.1

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}, vlc-gui
Suggests: vlc-gnome
Description: a free MPEG and DVD player
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is vlc, the VideoLAN Client. It plays MPEG and MPEG2 files,
 DVDs, or MPEG streams from a network source.

Package: libdvdcss1
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdvdcss0.0.1, libdvdcss0.0.2, libdvdcss0.0.3
Description: a portable abstraction library for DVD decryption
 libdvdcss is a portable abstraction library for DVD decryption, it
 provides a simple API to access a DVD device as a block device.
 .
 This package contains the libdvdcss0 runtime library.

Package: libdvdcss1-dev
Architecture: any
Depends: libdvdcss1 (= ${Source-Version}), libc6-dev
Conflicts: libdvdcss0.0.1-dev, libdvdcss0.0.2-dev, libdvdcss0.0.3-dev
Description: development files for libdvdcss1
 libdvdcss is a portable abstraction library for DVD decryption, it
 provides a simple API to access a DVD device as a block device.
 .
 This package contains the header files and static library needed to
 compile applications that use libdvdcss0.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gnome interface to vlc, the VideoLAN Client.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gtk+ interface to vlc, the VideoLAN Client.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to
 vlc, the VideoLAN Client.

Package: vlc-alsa
Architecture: alpha i386 ia64 m68k powerpc
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ALSA plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Advanced Linux Sound Architecture to
 vlc, the VideoLAN Client.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 vlc, the VideoLAN Client.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a GGI plugin for vlc, the VideoLAN Client.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a Glide (3dfx) plugin for vlc, the VideoLAN Client.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for vlc
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Qt interface to vlc, the VideoLAN Client.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Compilation options
export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --with-ggi --enable-sdl --enable-esd --enable-qt"
export LIBDVDCSS_FLAGS="--with-dvdcss=local-shared"
export VIDDIR="usr/share/videolan"
export PIXDIR="usr/share/pixmaps"
export GNOMEDIR="usr/share/gnome/apps/Multimedia"

# Library options
version=$(shell grep '^ *LIBDVDCSS_VERSION=[0-9]' configure.in | head -1 | cut -f2 -d=)
major=$(shell echo "$(version)" | cut -f1 -d.)

build: build-stamp
build-stamp:
	dh_testdir

	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_FLAGS="--enable-alsa --with-glide" ;; \
	alpha|ia64|m68k|powerpc) \
		ARCH_FLAGS="--enable-alsa" ;; \
	*) \
		ARCH_FLAGS="" ;; \
	esac ;\
	./configure $$ARCH_FLAGS --mandir=$${prefix}/share/man \
		--infodir=$${prefix}/share/info \
		$(shell echo $(CONFIG_FLAGS)) $(shell echo $(LIBDVDCSS_FLAGS))

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# make symlinks for packages and install plugins
	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt alsa glide" ;; \
	alpha|ia64|m68k|powerpc) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt alsa" ;; \
	*) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt" ;; \
	esac ;\
	for alias in $$ARCH_ALIASES ; do \
		ln -s vlc debian/vlc-$$alias/usr/share/doc/vlc-$$alias ; \
		mv debian/vlc/usr/lib/videolan/vlc/$$alias.so \
			debian/vlc-$$alias/usr/lib/videolan/vlc/ ; done

	mv debian/vlc/usr/bin/gvlc debian/vlc-gtk/usr/bin/
	mv debian/vlc/usr/bin/gnome-vlc debian/vlc-gnome/usr/bin/
	mv debian/vlc/usr/bin/qvlc debian/vlc-qt/usr/bin/

	mv debian/vlc/$(VIDDIR)/vlc.png debian/vlc/$(PIXDIR)
	mv debian/vlc/$(VIDDIR)/gvlc.xpm debian/vlc-gtk/$(VIDDIR)
	mv debian/vlc/$(VIDDIR)/gvlc.png debian/vlc-gtk/$(PIXDIR)
	mv debian/vlc/$(VIDDIR)/gnome-vlc.xpm debian/vlc-gnome/$(VIDDIR)
	mv debian/vlc/$(VIDDIR)/gnome-vlc.png debian/vlc-gnome/$(PIXDIR)
	mv debian/vlc/$(VIDDIR)/qvlc.xpm debian/vlc-qt/$(VIDDIR)
	mv debian/vlc/$(VIDDIR)/qvlc.png debian/vlc-qt/$(PIXDIR)

	cp debian/vlc.desktop debian/vlc/$(GNOMEDIR)
	cp debian/gvlc.desktop debian/vlc-gtk/$(GNOMEDIR)
	cp debian/gnome-vlc.desktop debian/vlc-gnome/$(GNOMEDIR)

	#gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
	ln -s vlc.1.gz debian/vlc-gtk/usr/share/man/man1/gvlc.1.gz
	ln -s vlc.1.gz debian/vlc-gnome/usr/share/man/man1/gnome-vlc.1.gz
	ln -s vlc.1.gz debian/vlc-qt/usr/share/man/man1/qvlc.1.gz

# libdvdcss start
	mv debian/vlc/usr/include/videolan/dvdcss.h \
				debian/libdvdcss$(major)-dev/usr/include/videolan
	rm -Rf debian/vlc/usr/include
	mv debian/vlc/usr/lib/*.a debian/libdvdcss$(major)-dev/usr/lib
	mv debian/vlc/usr/lib/*.so debian/libdvdcss$(major)-dev/usr/lib
	mv debian/vlc/usr/lib/*.so.* debian/libdvdcss$(major)/usr/lib
	ln -s libdvdcss$(major) debian/libdvdcss$(major)-dev/usr/share/doc/libdvdcss$(major)-dev
# libdvdcss stop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman doc/vlc.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-alsa -Nvlc-sdl -Nvlc-qt ChangeLog
# libdvdcss start
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-alsa -Nvlc-sdl -Nvlc-qt ChangeLog.libdvdcss
# libdvdcss stop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl

	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_EXCLUDE="" ;; \
	alpha|ia64|m68k|powerpc) \
		ARCH_EXCLUDE="-Nvlc-glide" ;; \
	*) \
		ARCH_EXCLUDE="-Nvlc-glide -Nvlc-alsa" ;; \
	esac ;\
	dh_shlibdeps $$ARCH_EXCLUDE ;\
	dh_gencontrol $$ARCH_EXCLUDE ;\
	dh_md5sums $$ARCH_EXCLUDE ;\
	dh_builddeb $$ARCH_EXCLUDE

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
